Subject: Re: [6tsch] TSCH: info for each(?) link in Enhanced Beacon frames

From: Pieter De Mil <[email-masked]>
Date: Fri, 10 May 2013 12:04:51 +0200

On 05/01/13 05:19, Thomas Watteyne wrote:
> My reading of the standard is that the EB contains just enough 
> information for the new mote to join the network. Of course, what this 
> exactly is depends on the application.
>
> In the context of 6TSCH, this could be:
> - a set of (shared) links in the best effort case. This could, in 
> fact, be the final set the mote gets, i.e. all motes communicate on a 
> number of shared links in a "slotted Aloha" fashion. This has the 
> merit of being extremely simple (e.g. for interop), but does not allow 
> for much optimization.
> - a set of links to contact the neighbor which sends the EB. This can 
> be used in the distributed cases as a bootstrap for 
> a distributed reservation protocol.
> - a set of links to contact the PCE through the neighbor which sends 
> the EB. This can be used in the centralize case: the neighbor serves 
> as a temporary proxy until the PCE has decided what to do with that 
> new mote (possibly installing more links).
>
> Fantastic to hear that you're implementing TSCH. What platform are you 
> using?

TinyOS on the RM090 platform http://www.crew-project.eu/portal/wilab/rm090
We will also port TSCH to Contiki.

Send me a message if you think another OS and/or hardware platform might 
be interesting and we will consider a port.

Best,
Pieter